Subject: Re : Re : [EDUC]Libre et enseignement de l'informatique sont-ils liés ou indépendants ?
From: [email-masked]
To: [email-masked]
Cc: Rémi Boulle <[email-masked]>, [email-masked]
Date: Fri, 4 Oct 2013 15:55:34 +0200 (CEST)
List-Id: <educ.april.org>

Message partu trop tôt suite à une fausse manip

suite ->

----- [email-masked] a écrit :
> 
> ----- Rémi Boulle <[email-masked]> a écrit :
> > Bonjour à tous,
> 
> Bonjour,
> 
> > 
> > Suite à des échanges sur une autre liste, je me suis aperçu que nous 
> > avions pas vraiment d'argumentaire construit montrant que le libre et la 
> > nécéssité d'un enseignement de l'informatique pour tous allaient de pair.
> 
> Ce n'est qu'un aspect du problème. L'autre aspect et non des moindres
> c'est celui d'un enseignement de l'informatique avec ou pas des logiciels
> libres et une éthique ou pas du libre.
> 
> Dans de nombreuses IUT et universités les étudiants ont appris le C 
> avec un compilateur proprio (de Borland ou de Microsoft par exemple)
> et il n'est pas rare de constater que dans la plupart des IUT (selon
> les retours d'amis) le libre reste marginal.
> 
> 
> Aussi, nous devons non seulement développer des arguments pour un
> enseignement de l'informatique 
... mais également pour un enseignement de l'informatique privilégiant
et les logiciels libres et leur éthique ; ce qui inclut bien sûr 
des ressources libres et/ou en libre accès, si possible sur des
modèles collaboratifs.

> L'EPI milite pour un enseignement de l'informatique, en tant que science,
> en partant du postulat que la science est neutre.

De ce fait, l'April doit construire ses propres positions et se distinguer
de celles de l'EPI ; ce qui n'interdit en rien de bâtir des convergences.
Mais on ne bâtit pas des convergences sur la négation des différences.

> > C'est l'objet de mon message : construire un tel argumentaire :-)
> > 
> > Voici ci-dessous ma réponse qui pourra servir de premier jet à cet 
> > argumentaire :
> > ====
> > Je pense au contraire que LL et enseignement de l'informatique sont liés 
> > voire en synergie. On est plus à un niveau "stratégique". Je vais faire 
> > mon Stallmanien, mais la base du mouvement pour le LL n'est pas que 
> > "l'utilisateur doit controler les programmes et pas l'inverse" ?

+1

> > Comment un utilisateur, un citoyen peut espérer contrôler les programmes 
> > sans un minimum de connaissances en informatique ?

+1

mais... si les programmes sont privateurs et/ou Open Source sous forme
de cloud en mode SaaS, il n'a plus aucune liberté.

> > Actuellement dans les programmes officiels, il y a deux approches :
> > 1/ informatique = science des algorithmes, domaine réservé aux 
> > mathématiques

Pas toutafè. Les algorithmes, notamment au programme de seconde en
lycée, sont intégrés aux mathématiques mais l'option "science de
l'informatique et du numérique" existe en terminale en tant que
telle.

> > 2/ informatique  = outil (ie boite noire, on est loin du libre). C'est 
> > la vision "B2i" qui depuis 13 ans fait croire aux parents que leurs 
> > enfants acquièrent des compétences. Précisons que ces compétences sont 
> > validées sans être enseignée.

Avec une toute petite nuance, ce n'est plus l'usage des outils en tant que tels 
qui sont mis en avant, mais les notions de "média", "média numérique".
Il faut donc également répondre sur ce terrain, au risque d'être en retard
d'une dizaine d'années.

> > Ainsi, on voit dans cette perspective, que l'utilisateur n'aura aucun 
> > moyen d'arriver à espérer contrôler les programmes. David Null. Ce sujet 
> > est encore plus d'actualité avec l'affaire Snowden. Pour moi, la "vraie" 
> > fracture numérique est là. 

Oui, et pas seulement.

L'usage efficiente d'un moteur de recherche full text nécessite aussi une
approche lexicale des connaissances, par exemple. La fracture est plus
complexe.

La suite plus tard par manque de temps.

Charlie
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ